Package org.apache.tools.ant.util.java15

# Class ProxyDiagnostics

java.lang.Object
org.apache.tools.ant.util.java15.ProxyDiagnostics

public class ProxyDiagnostics extends Object
This class exists to create a string that tells diagnostics about the current state of proxy diagnostics. It does this in its toString operator. Java1.5+ is needed to compile this class; its interface is classic typeless Java.

Since:
  Ant 1.7

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_DESTINATION`
  "https://ant.apache.org/"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyDiagnostics()`
  create a proxy diagnostics tool bound to `DEFAULT_DESTINATION`
  `ProxyDiagnostics(String destination)`
  create a diagnostics binding for a specific URI

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Get the diagnostics for proxy information.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_DESTINATION

    public static final String DEFAULT_DESTINATION
    "https://ant.apache.org/"
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProxyDiagnostics

    public ProxyDiagnostics(String destination)
    create a diagnostics binding for a specific URI
    Parameters:
      `destination` - dest to bind to
    Throws:
      `BuildException` - if the URI is malformed.

  - ### ProxyDiagnostics

    public ProxyDiagnostics()
    create a proxy diagnostics tool bound to `DEFAULT_DESTINATION`

- ## Method Details

  - ### toString

    public String toString()
    Get the diagnostics for proxy information.
    Overrides:
      `toString` in class `Object`
    Returns:
      the information.